function setup()
	room.stackable = 0
	room.visible = 1
	
	room.addActor()
	actor.setpiece = 1
	actor.setEffectIcon("galaxy.png")
	actor.randomizePlacement = 0
	actor.x = 0
	actor.y = 25
	actor.dist = 3.5
	actor.scale = 1
	actor.alpha = .7
	
	room.addActor()
	actor.setEffectIcon("greenplanet.png")
	actor.randomizePlacement = 0
	actor.x = -2
	actor.y = 1
	actor.scale = .4
	actor.rot = 180
	actor.addTerrain("backdrop_greenplanet")
	actor.durable = 1
	
	--wake up all the sleepy allies
	--actor.addEvent("endnaptime", 1)
	
	--use a different stage script for the final battle
	actor.addEvent("battlescript_finalbattle", 0)

	actor.addMessage("ARCHANGEL : Hello hello repentant greeting; big hope in final translation accuracy!", "archangel", 2, 0, 1)
	actor.addMessage("ARCHANGEL : We offer: unconditional immediate surrender.", "archangel", 2, 0, 1)
	actor.addMessage("ARCHANGEL : Earth destruction unthinkable mistake; we are humble in begging forgiveness.", "archangel", 2, 0, 1)
	actor.addMessage("ARCHANGEL : You left complete desolation trail; Eden is our last home.", "archangel", 2, 0, 1)
	actor.addMessage("NEVER!!!! NO MERCY FOR VILE NEMESIS ALIEN", "stolenrobot", 2, 0, 1)
	actor.addEvent("epilogue1", 4)
	
	room.setWave(1)
	
	--room.addActor("actor_turret.lua")
	room.addActor("actor_interceptor.lua")
	wave.spawnmode = 2--don't warp in, just appear
	--for i = 1, 4 do
	--	room.addActor("actor_turret.lua")
	--	wave.spawnmode = 1--continual up to num
	--	wave.spawndelay = 5000--but they'll stay out of your hair for a while at least
	--end
	
	room.addActor()
	actor.nodeName = "WARNING : VILE NEMESIS KING"
	actor.displayName = "ARCHANGEL"
	actor.setIcon("iconmobboss3.png")
	if game.hardcore == 0 then actor.addWave("archangel", 1, room.wave) else actor.addWave("archangel", 1, room.wave, "hardcore") end
	wave.spawnmode = 2--don't warp in, just appear
	wave.tilex = 4
	wave.tiley = 4

	actor.addWave("angelturret", 4, room.wave)
	wave.spawnmode = 2--don't warp in, just appear
	
	actor.addWave("angelshield", 4, room.wave)
	wave.spawnmode = 2--don't warp in, just appear

	actor.addWave("angelspoke", 6, room.wave)
	wave.spawnmode = 2--don't warp in, just appear
	
	--set the boss HP bar reactive things
	actor.addEvent("boss_archangel", 0)
	--actor.addEvent("boss_angelspoke", 0)
	--actor.addEvent("boss_angelturret", 0)
	--actor.addEvent("boss_angelshield", 0)
	actor.addEvent("boss_angelpod", 0)
	
	A = generator.getMobGroup("A")
	B = generator.getMobGroup("B")
	C = generator.getMobGroup("C")
	
	if generator.hardcore == 1 then
		room.setWave(2)
		room.addActor(B)
		room.addActor(A)
		room.setWave(3)
		room.addActor(C)
		room.addActor(A)
		room.setWave(4)
		room.addActor(B)
		room.addActor(B)
		room.setWave(5)
		room.addActor(C)
		room.addActor(C)
	end
	
	--room.addActor("fullheal.lua")
	actor.addEvent("stopmusic", 1)
	actor.addEvent("stopmusic", 4)

end


